Confirm Media Upload
Validate an uploaded object and hand it off to the purpose's persist function.
Raises 403 if the object key does not belong to this resource, 422 if the stored object fails validation (missing, oversized, wrong content-type).
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
purpose*Purpose
resource_id*Resource Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/media/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/confirm" \ -H "Content-Type: application/json" \ -d '{ "object_key": "string" }'{ "url": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}